Apache C++ Standard Library Reference Guide

## basic_iostream

Library: Input/output

                 basic_ostream
    basic_iostream                         basic_ios  ios_base
                 basic_istream

- Local Index
- Summary
- Synopsis
- Description
- Interface
- Constructor
- Example
- See Also
- Standards Conformance

### Local Index

#### Members

basic_iostream() |

### Summary

Class that assists in formatting and interpreting sequences of characters controlled by a stream buffer

### Synopsis

    #include <istream>

    namespace std {
      template<class charT, class traits = char_traits<charT> >
      class basic_iostream;
    }

### Description

The class basic_iostream inherits a number of functions from classes basic_ostream and basic_istream. They assist in formatting and interpreting sequences of characters controlled by a stream buffer. Two groups of functions share common properties, the formatted functions and the unformatted functions.

### Interface

    namespace std {
      template<class charT, class traits>
      class basic_iostream
      : public basic_istream<charT, traits>,
        public basic_ostream<charT, traits>

      {

       public:

        explicit basic_iostream(basic_streambuf<charT, traits> *sb);
      };
    }

### Constructor

    explicit basic_iostream(basic_streambuf<charT, traits> *sb);

Constructs an object of class basic_iostream, assigning initial values to the base class by calling `basic_istream<charT, traits>(sb)` and `basic_ostream<charT, traits>(sb)`.

### Example

See basic_istream and basic_ostream examples.

### See Also

char_traits, ios_base, basic_ios, basic_streambuf, basic_istream, basic_ostream

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.6.1.5